[zeromq-dev] error : dpkg-shlibdeps: error: no dependency information found

Sebastian Lauwers sebastian.lauwers at gmail.com
Wed Aug 15 10:49:19 CEST 2012


Hi Ramesh,

On 14 August 2012 22:50, ramesh chandra <adroitus at gmail.com> wrote:
> I am sure getting ZMQ up and running is not that difficult. But I am having
> a tough time :)

Could you explain why you've taken it upon yourself to try and build
packages? Considering you've already set up the whole toolchain to
build the library, wouldn't it be simpler to just install it, and skip
the package creation?

Packaging can be a very complicated art, which requires intimate
knowledge with the platform at hand. It seems to me like you've been
trying to get ZMQ installed on a number of different distributions,
which don't necessarily share packaging systems (rpm vs deb).

In order to "just" install ZMQ, the only steps required are:

tar xvf ...
./configure
make
# as root
make install

If you are looking for pre-compiled binaries, there are some PPAs that
include the .deb files right away, if they are not available in the
repositories. For example Chris Lea provides ZMQ 2.2 debian packages
even for Lucid:

https://launchpad.net/~chris-lea/+archive/zeromq/

Regardless of whether the information above was helpful or not, could
you share with us your intent, so that we may be of more help?

Good luck,

-S.



More information about the zeromq-dev mailing list